class Api::V1::Projects::Sca::ListBranchService <  Api::V1::Projects::Sca::BaseService
  def initialize(project)
    @project = project
  end

  def call
    #projects/18748/list-branches/?branch_name_query=&page=1&limit=5
    #
    params = {
      "branch_name_query": nil,
      "limit": 5,
      "page": 1
    }
    sca_get_request("projects/#{ @project.sca_project_id }/list-branches/", params)
  end

end